#!/usr/bin/env python

from performance_THREDDS import PerformanceTHREDDS


def main():
    test = PerformanceTHREDDS()
    test.scratch_folder = '/scratch/Earth/jvegas/THREDDS_test/esarchive'
    test.url_thredds = 'http://earth.bsc.es/thredds/fileServer/exp/nmmb-bsc-ctm/z001_old/3h/z001_20040101_00utc.nc'
    test.data_path = '/esarchive/exp/nmmb-bsc-ctm/z001_old/3h/z001_20040101_00utc.nc'
    test.results_folder = 'esarchive'
    test.total_attempts = 100
    test.test_performance()
    test.save_results()

    # test.plot(True)

if __name__ == "__main__":
    main()
