import glob
import os

from performance_THREDDS import PerformanceTHREDDS


def main():
    for results_folder in ['esnas', 'esarchive']:
        for filepath in glob.glob(os.path.join(results_folder, '*.csv')):
            print('Plotting {0}'.format(filepath))
            test = PerformanceTHREDDS()
            test.results_folder = results_folder
            test.load_results(filepath)
            test.plot(True)
            print('')

if __name__ == "__main__":
    main()
