#!/usr/bin/env python

from performance_THREDDS import PerformanceTHREDDS


def main():
    test = PerformanceTHREDDS()

    test.scratch_folder = '/scratch/Earth/jvegas/THREDDS_test/'
    test.results_folder = 'esnas'
    test.url_thredds = 'http://earth.bsc.es/thredds/fileServer/exp/ecmwf/system4_m1/6hourly/tas/tas_19810101.nc'
    test.data_path = '/esnas/exp/ecmwf/system4_m1/6hourly/tas/tas_19810101.nc'
    test.total_attempts = 100

    test.test_performance()
    test.save_results()
    # test.plot(True)

if __name__ == "__main__":
    main()
